Bug 248095 - multimedia/ffmpegthumbnailer: Update to 2.2.2
Summary: multimedia/ffmpegthumbnailer: Update to 2.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL:
Keywords: buildisok, needs-qa
Depends on:
Blocks:
 
Reported: 2020-07-19 10:17 UTC by Marcel Bischoff
Modified: 2020-08-02 08:29 UTC (History)
4 users (show)

See Also:


Attachments
Patch (1.35 KB, patch)
2020-07-19 10:17 UTC, Marcel Bischoff
no flags Details | Diff
Revised patch (1.99 KB, patch)
2020-07-20 10:10 UTC, Marcel Bischoff
koobs: maintainer-approval+
Details | Diff
Patch for ffmpegthumbnailer (8.39 KB, patch)
2020-07-22 10:51 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for ffmpegthumbnailer v2 (8.38 KB, patch)
2020-07-28 07:53 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Bischoff 2020-07-19 10:17:05 UTC
Created attachment 216567 [details]
Patch

Portscout flagged this port and since it has no maintainer, here's an update to the latest version.
Comment 1 Automation User 2020-07-19 13:53:02 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/168254477
Comment 2 Li-Wen Hsu freebsd_committer 2020-07-19 13:58:33 UTC
Do you want to take maintainership of this port?
Comment 3 daniel.engberg.lists 2020-07-19 14:36:11 UTC
Not a major issue but is there a good reason why we're not using vendor provided tarball?

It would be nice if we could get unit tests working and from what I can tell they're compiled by default.

Are patches still valid? Most other distros doesn't seem to carry such.
Comment 4 Marcel Bischoff 2020-07-19 15:49:28 UTC
Regarding a tarball: the port was using the GitHub method before so I didn't change it. Also, I was under the impression that this is the preferred method outlined in the handbook. Please educate me if I am mistaken.

I don't want to take maintainership, as I am unlikely to use the software much. That's also the reason why I just bumped the version number and not looked into the patches or added new features like unit tests. I've done this for a couple of ports as well.
Comment 5 daniel.engberg.lists 2020-07-19 17:43:59 UTC
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-distfiles.html

5.4.3
"If the distribution file comes from a specific commit or tag on GitHub for which there is no officially released file."

It's also smaller, not by much however.

I think we should aim in general trying to fix as much as possible especially if it's an unmaintained port unless it involves major work.

Can you please do a quick test of unit tests works and if not disable building of tests ?
Comment 6 Marcel Bischoff 2020-07-20 10:10:46 UTC
Created attachment 216599 [details]
Revised patch

I have incorporated the changes suggested. I have never worked with cmake unit tests. Hopefully my attempt to disable them is correct. The MASTER_SITES string is now rather ugly but grepping the ports tree for prior art yielded this result.

As this application is really not all that important to me, that's as far as I'm able and willing to go.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-20 11:58:44 UTC
(In reply to Marcel Bischoff from comment #6)

Your effort is much appreciated, thank you Marcel :)
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-20 11:59:11 UTC
Comment on attachment 216599 [details]
Revised patch

Approved by: portmgr (unmaintained port)

Pending QA
Comment 9 daniel.engberg.lists 2020-07-21 20:00:19 UTC
I have a slightly improved version although test fails at unicode stage.
Comment 10 daniel.engberg.lists 2020-07-22 10:51:57 UTC
Created attachment 216653 [details]
Patch for ffmpegthumbnailer

Remove USES= pathfix
Depend on ffmpeg library that's actually linked (cosmetic fix)
Move GH_ACCOUNT variable to make portlint happy
Use ports framework for CMake (cosmetic fix)
Add support for "make test"
Import CMake patch from OpenSUSE
Remove patches as Net-/OpenBSD doesn't carry these, neither does Alpine or Arch Linux.

Reference:
https://build.opensuse.org/package/show/openSUSE:Factory/ffmpegthumbnailer?rev=3

Source:
https://build.opensuse.org/package/view_file/openSUSE:Factory/ffmpegthumbnailer/ffmpegthumbnailer-cmake-updates.patch?expand=1

CreateThumbNonAscii test fails (file not found), I don't know how to fix this.
Comment 11 Tobias C. Berner freebsd_committer 2020-07-26 09:31:43 UTC
(In reply to daniel.engberg.lists from comment #10)
TEST_CMAKE_ON=		-DENABLE_TESTS:BOOL=ON
TEST_CMAKE_OFF=		-DENABLE_TESTS:BOOL=OFF

much shorter:

TEST_CMAKE_BOOL=  ENABLE_TESTS


mfg Tobias
Comment 12 daniel.engberg.lists 2020-07-28 07:53:14 UTC
Created attachment 216825 [details]
Patch for ffmpegthumbnailer v2

Remove GH_ACCOUNT variable
Change to TEST_CMAKE_BOOL as suggested by tcberner@
Set EXTRACT_CMD as suggested by tcberner@ and dbaio@

"make test" ok - FreeBSD 13.0-CURRENT r361421 (amd64)
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 13 commit-hook freebsd_committer 2020-08-02 08:28:53 UTC
A commit references this bug:

Author: tcberner
Date: Sun Aug  2 08:28:29 UTC 2020
New revision: 543931
URL: https://svnweb.freebsd.org/changeset/ports/543931

Log:
  multimedia/ffmpegthumbnailer: Update to 2.2.2

  - adds TEST option. For this a manual extract command was required
    as the testing uses a UTF-8 encoded file name.

  PR:		248095
  Submitted by:	Marcel Bischoff <marcel@herrbischoff.com>, daniel.engberg.lists@pyret.net  (committed version)
  Reported by:	Marcel Bischoff <marcel@herrbischoff.com>

Changes:
  head/multimedia/ffmpegthumbnailer/Makefile
  head/multimedia/ffmpegthumbnailer/distinfo
  head/multimedia/ffmpegthumbnailer/files/patch-CMakeLists.txt
  head/multimedia/ffmpegthumbnailer/files/patch-dist_ffmpegthumbnailer.thumbnailer
  head/multimedia/ffmpegthumbnailer/files/patch-libffmpegthumbnailer_jpegwriter.h
  head/multimedia/ffmpegthumbnailer/pkg-plist
Comment 14 Tobias C. Berner freebsd_committer 2020-08-02 08:29:16 UTC
Committed. 

Thank you both for working on this :)


mfg Tobias